Katello - Bug #6298

katello development deployment should allow http access
06/19/2014 06:56 PM - Justin Sherrill

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Installer
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/91
Description

Currently the development deployment does not support a few things with regard to provisioning:

access to /pulp/repos via httpd
access to unattended url via http.

Adding the following to /etc/httpd/conf.d/15-default.conf seems to resolve this:

ProxyPass /pulp !
ProxyPass /pub !
ProxyPass / http://localhost:3000
ProxyPassReverse / http://localhost:3000
ProxyPreserveHost on

Include /etc/pulp/vhosts80/*.conf

Associated revisions

Revision 700708db - 06/24/2014 01:02 PM - Eric Helms
Fixes #6298: Add Pulp http configs for repos.

Revision ffald5cb - 07/16/2014 12:22 PM - Eric Helms
Merge pull request #13 from ehelms/fixes-6298

Fixes #6298: Add Pulp http configs for repos.

History

#1 - 06/19/2014 11:18 PM - Justin Sherrill

ProxyPass /pulp !

ProxyPass /pub !

ProxyPass / http:/localhost:3000/
ProxyPassReverse / http:/localhost:3000
ProxyPreserveHost on

Include /etc/pulp/vhosts80/*.conf

#2 - 06/20/2014 09:01 PM - Eric Helms
- Status changed from New to Assigned
- Assignee set to Eric Helms

- Target version set to 48

- Triaged changed from No to Yes

#3 - 06/23/2014 03:01 PM - Justin Sherrill
The 2nd part of the issue related to accessing the /unattended foreman route via http, so we need to also forward traffic on port 80 to the rails server
on 3000. By doing this we also need to grant access to /pulp and /pub normally, hence:

ProxyPass /pulp !

ProxyPass /pub !

ProxyPass / http://localhost:3000/
ProxyPassReverse / http:/localhost:3000
ProxyPreserveHost on

#4 - 06/24/2014 07:24 PM - Eric Helms
- Status changed from Assigned to Ready For Testing

#5 - 07/07/2014 07:10 AM - Eric Helms

- Target version changed from 48 to 49

#6 - 07/28/2014 08:43 AM - Eric Helms

- Target version changed from 49 to 54

#7 - 07/31/2014 11:58 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- Pull request https://github.com/Katello/katello-installer/pull/91 added

#8 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
